Pave Bank
Transfer

RTGS Transfer

Initiates a bank-to-bank transfer via the Georgian RTGS system.

Example RTGS Transfer

curl --request POST \
  --url https://api.pavebank.com/v1/transfer/rtgs \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: YOUR_IDEMPOTENCY_KEY'
  --data '{
    "additional_description": "Additional Description ",
    "amount": "10000",
    "description": "Description Test Sending GPSS",
    "destination_iban": "<DESTINATION_IBAN>",
    "destination_name": "Gpss Receiver",
    "source_iban": "<SOURCE_ACCOUNT_IBAN>"
  }'
POST
/v1/transfer/rtgs

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Request Body

application/jsonOptional
additional_descriptionstring

Additional details to describe the transfer

amountRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

descriptionRequiredstring

Description or purpose of the payment

destination_ibanRequiredstring

The IBAN of the recipient's account

destination_nameRequiredstring

Name of destination account

source_ibanRequiredstring

The IBAN of the sender's account

Response Body

Success response

transaction_idRequiredstring
curl -X POST "https://developer-api-staging.pavebank.dev/v1/transfer/rtgs" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "additional_description": "string",
    "amount": "string",
    "description": "string",
    "destination_iban": "string",
    "destination_name": "string",
    "source_iban": "string"
  }'
{
  "transaction_id": "string"
}